if [ -e ${HOME}/.zplug/init.zsh ]; then
  # For local manual installs
  source ~/.zplug/init.zsh
elif [ -e /usr/share/zplug/init.zsh ]; then
  # For system-wide installs
  source /usr/share/zplug/init.zsh
elif [ -e /usr/local/opt/zplug/init.zsh ]; then
  # For homebrew MacOSX
  export ZPLUG_HOME=/usr/local/opt/zplug
  source $ZPLUG_HOME/init.zsh
fi

#zplug "zsh-users/zsh-completions"

zplug "plugins/docker-compose", from:oh-my-zsh
zplug "plugins/kubectl", from:oh-my-zsh
zplug "plugins/git", from:oh-my-zsh
zplug "plugins/git-prompt", from:oh-my-zsh
zplug "lib/history", from:oh-my-zsh
zplug "plugins/sudo", from:oh-my-zsh
zplug "plugins/vi-mode", from:oh-my-zsh
zplug "plugins/vagrant", from:oh-my-zsh
zplug "lib/termsupport", from:oh-my-zsh

# This has some inbuilt assumptions rather than straight aliases, for my use the omz version is better
#zplug "tcnksm/docker-alias", use:zshrc

# I like the menus for command completion, I hate the history completion.
# zplug "marlonrichert/zsh-autocomplete", defer:2
zplug "MichaelAquilina/zsh-autoswitch-virtualenv"
#zplug "jqlang/jq", from: 

zplug "b4b4r07/httpstat", as:command, use:'(*).sh', rename-to:'$1'
zplug "drwetter/testssl.sh", as:command, use:'(*).sh', rename-to:'$1'
#zplug "drwetter/testssl.sh", as:command, use: 'testssl.sh'

#zplug "nichus/zsh-tmux-multisession"
zplug "nichus/zsh-todotxt", from:momodomo
zplug "nichus/qi3ber2", from:momodomo, as:theme

zplug "zsh-users/zsh-syntax-highlighting", defer:2
#zplug "zsh-users/zsh-history-substring-search", defer: 2

zplug "~/.zsh/plugins", from:local

# In a world where I need zplug updates, this might be nice, but currently it isn't
#zplug "zplug/zplug", hook-build: "zplug --self-manage"

zplug check || zplug install

zplug load
